<aside class="left-page">
  <div
    class="cover-verson"
    [ngClass]="{
      'summary-ver': type === 'summary',
      'edit-ver': type === 'edit inputs' || type === 'add new',
      'sample-ver': type === 'sample'
    }"
  >
    <div class="top-title">
      <a href="javascript:;" class="click-title" [routerLink]="['/electric/sample/sample-inputs']">
        <i class="material-icons">arrow_back</i>
        <span class="title-page">{{ type_name }}</span>
      </a>
      <span class="sub-name" *ngIf="type === 'summary'">Input Samples</span>
    </div>
    <!-- end/top title -->
    <div class="top-l-page">
      <div class="cover-input">
        <label class="name-input">Electric Properties</label>
        <div class="input-here">
          <electric-autocomplete
            [placeholder]="'Sample #'"
            [type]="'sample'"
            (callback)="callbackAutocomplete($event)"
          ></electric-autocomplete>
        </div>
      </div>
      <mat-list
        class="list-electric"
        [ngClass]="{ 'edit-sample': type === 'edit inputs' }"
        [perfectScrollbar]="{ suppressScrollY: false, suppressScrollX: true }"
      >
        <mat-list-item
          *ngFor="let sample of inputSamples"
          [ngClass]="{
            selected: selected && selected.name === sample.sampleNumber
          }"
          (click)="select('sample', sample.sampleNumber, sample)"
        >
          <div class="cover-item">
            <span class="name-item">{{ sample.sampleID }}</span>
            <span class="blur-name">{{ sample.wellName }}</span>
          </div>
        </mat-list-item>
      </mat-list>
    </div>
    <!-- end/top left page -->

    <div class="second-l-page show-list" *ngIf="type !== 'edit inputs' && type !== 'add new'">
      <div class="cover-input summary">
        <label class="name-input">Summary</label>
        <div class="input-here">
          <electric-autocomplete
            [placeholder]="'Well name or field name'"
            [type]="'well'"
            (callback)="callbackAutocomplete($event)"
          ></electric-autocomplete>
        </div>
      </div>
      <!-- end/cover input -->
      <span class="title-list">Summary</span>
      <mat-list class="list-summary summary" [perfectScrollbar]="{ suppressScrollY: false, suppressScrollX: true }">
        <mat-list-item
          class="list-item"
          *ngFor="let item of wells"
          [ngClass]="{ selected: selected && selected.name === item.wellName }"
          (click)="select('well', item.wellName, {})"
        >
          <div class="cover-item">
            <span class="name-item">{{ item.wellName }}</span>
            <span class="blur-name">{{ item.data.length }} Water Samples</span>
          </div>
          <mat-list class="sub-list" *ngIf="type === 'summary'">
            <mat-list-item *ngFor="let sample of item.data">
              <span class="name-sub">{{ sample.sampleID }}</span>
            </mat-list-item>
          </mat-list>
        </mat-list-item>
      </mat-list>
    </div>
    <!-- end/second l page -->
    <div class="bottom-btn" *ngIf="type === 'sample'">
      <button mat-button class="btn-summary" [disabled]="wells.length === 0" (click)="onSummary()">
        Summary
      </button>
      <button mat-button class="btn-summary btn-reset" (click)="onReset()">
        Reset All
      </button>
    </div>
    <!-- end/bottom btn -->
    <a href="javascript:;" class="click-export" (click)="openDialogExport()">Export All</a>
  </div>
  <!-- end/cover verson -->
</aside>
<!-- end/left page -->
